import {
  a as e,
  c as O
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/bnf.js
var t = O((E, _) => {
  function a(n) {
    return {
      name: "Backus\u2013Naur Form",
      contains: [
        // Attribute
        {
          className: "attribute",
          begin: /</,
          end: />/
        },
        // Specific
        {
          begin: /::=/,
          end: /$/,
          contains: [
            {
              begin: /</,
              end: />/
            },
            // Common
            n.C_LINE_COMMENT_MODE,
            n.C_BLOCK_COMMENT_MODE,
            n.APOS_STRING_MODE,
            n.QUOTE_STRING_MODE
          ]
        }
      ]
    };
  }
  e(a, "bnf");
  _.exports = a;
});

export {
  t as a
};
